MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030225Open CASCADE[OCCT] PRODUCTS:Point Cloud Renderingpublic2018-10-09 18:512018-11-04 14:12
Reportergka 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030225: Point Cloud Rendering - diffuse_red/diffuse_green/diffuse_blue are not read from PLY file
DescriptionColors of the points are not read from ply file for case when names of properties defining colors are specified as "diffuse_red", "diffuse_green", "diffuse_blue".
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0079856)
kgv (developer)
2018-10-10 16:03
edited on: 2018-10-10 16:03

+    TCollection_AsciiString aPropName(aPropNameRaw);
+
+    Standard_Integer indColor = (aPropName.Search("red") >= 0 ? 0 : (aPropName.Search("green") 
>= 0 ? 1 :
+      aPropName.Search("blue") >=0 ? 2 : -1));

I don't see a rationale for complicating code by looking for arbitrary properties with "red", "blue" and "green" in their name.

In practice, only two schemes are used for storing per-node color
(apart from awkward texture mapping) in PLY:
- "red", "green", "blue", "alpha"
- "diffuse_red", "diffuse_green", "diffuse_blue", "diffuse_alpha"

(0080541)
kgv (developer)
2018-10-31 09:28

Please take the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/master-CR30225_1-KGV/ [^]
(0080553)
bugmaster (administrator)
2018-10-31 15:14

Combination -
OCCT branch : master
Products branch : CR30225_1 SHA - 3e98c4d40d8d6882a368b3f9e26306ec76508f07
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
---
Products
Total CPU difference: 7086.800000000021 / 7077.76000000003 [+0.13%]
Windows-64-VC14:
OCCT
---
Products
Total CPU difference: 8530.984375 / 8596.328125 [-0.76%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0080673)
bugmaster (administrator)
2018-11-04 13:03

Fix has been integrated into master of occt-products repository

- Issue History
Date Modified Username Field Change
2018-10-09 18:51 gka New Issue
2018-10-09 18:51 gka Assigned To => gka
2018-10-09 18:51 gka Description Updated View Revisions
2018-10-10 15:56 kgv Summary Colors of the points are not read from ply file. => Point Cloud Rendering - Colors of the points are not read from ply file
2018-10-10 16:03 kgv Note Added: 0079856
2018-10-10 16:03 kgv Note Edited: 0079856 View Revisions
2018-10-10 16:03 kgv Note Edited: 0079856 View Revisions
2018-10-31 08:09 kgv Summary Point Cloud Rendering - Colors of the points are not read from ply file => Point Cloud Rendering - diffuse_red/diffuse_green/diffuse_blue are not read from PLY file
2018-10-31 09:28 kgv Note Added: 0080541
2018-10-31 09:28 kgv Assigned To gka => bugmaster
2018-10-31 09:28 kgv Status new => resolved
2018-10-31 09:28 kgv Status resolved => reviewed
2018-10-31 09:28 kgv Steps to Reproduce Updated View Revisions
2018-10-31 15:14 bugmaster Note Added: 0080553
2018-10-31 15:14 bugmaster Status reviewed => tested
2018-11-04 13:03 bugmaster Note Added: 0080673
2018-11-04 13:03 bugmaster Status tested => verified
2018-11-04 13:03 bugmaster Resolution open => fixed
2018-11-04 14:12 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker